﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Autodesk.Revit.DB;
using Autodesk.Revit.UI;


namespace AddInIntegrationSample
{
   [Autodesk.Revit.Attributes.Transaction(
     Autodesk.Revit.Attributes.TransactionMode.Manual)]
   public class DragAndDropCommand : IExternalCommand
   {
      public Result Execute(ExternalCommandData commandData, 
        ref string message, ElementSet elements)
      {
         // show the form
         FurnitureFamilyDragAndDropForm form = 
           FurnitureFamilyDragAndDropForm.GetTheForm(commandData.View.Document);
         form.Show();
         form.BringToFront();
         return Result.Succeeded;
      }
   }
}
